Name:          libsidplayfp
Version:       2.10.1
Release:       1mamba
Summary:       A library to play Commodore 64 music
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/libsidplayfp/libsidplayfp
Source:        https://github.com/libsidplayfp/libsidplayfp.git/v%{version}/libsidplayfp-%{version}.tar.bz2
License:       GPL
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libgcc
BuildRequires: libgcrypt-devel
BuildRequires: libstdc++6-devel
## AUTOBUILDREQ-END
BuildRequires: xa

%description
A library to play Commodore 64 music.

%package devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      %{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description devel
This package contains libraries and header files for developing applications that use %{name}.

%debug_package

%prep
%setup -q
autoreconf -f -i

%build
%configure

%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"


%files
%defattr(-,root,root)
%{_libdir}/libsidplayfp.so.*
%{_libdir}/libstilview.so.*
%doc AUTHORS COPYING

%files devel
%defattr(-,root,root)
%dir %{_includedir}/sidplayfp
%{_includedir}/sidplayfp/*.h
%dir %{_includedir}/stilview
%{_includedir}/stilview/*.h
%dir %{_includedir}/sidplayfp/builders
%{_includedir}/sidplayfp/builders/*.h
%{_libdir}/libsidplayfp.a
%{_libdir}/libsidplayfp.so
%{_libdir}/libstilview.a
%{_libdir}/libstilview.so
%{_libdir}/pkgconfig/libsidplayfp.pc
%{_libdir}/pkgconfig/libstilview.pc
%doc NEWS README TODO

%changelog
* Tue Oct 22 2024 Automatic Build System <autodist@openmamba.org> 2.10.1-1mamba
- automatic version update by autodist

* Mon Oct 07 2024 Automatic Build System <autodist@openmamba.org> 2.10.0-1mamba
- automatic version update by autodist

* Thu Aug 15 2024 Automatic Build System <autodist@openmamba.org> 2.9.0-1mamba
- automatic version update by autodist

* Wed Jun 12 2024 Automatic Build System <autodist@openmamba.org> 2.8.0-1mamba
- automatic version update by autodist

* Tue May 21 2024 Automatic Build System <autodist@openmamba.org> 2.7.1-1mamba
- automatic version update by autodist

* Sat Mar 30 2024 Automatic Build System <autodist@openmamba.org> 2.7.0-1mamba
- automatic version update by autodist

* Tue Jan 02 2024 Automatic Build System <autodist@mambasoft.it> 2.6.0-1mamba
- automatic version update by autodist

* Sun Jun 04 2023 Automatic Build System <autodist@mambasoft.it> 2.5.0-1mamba
- automatic version update by autodist

* Tue Jan 31 2023 Automatic Build System <autodist@mambasoft.it> 2.4.2-1mamba
- automatic version update by autodist

* Sun Nov 20 2022 Automatic Build System <autodist@mambasoft.it> 2.4.1-1mamba
- automatic version update by autodist

* Thu Nov 10 2022 Automatic Build System <autodist@mambasoft.it> 2.4.0-1mamba
- automatic version update by autodist

* Fri Dec 10 2021 Automatic Build System <autodist@mambasoft.it> 2.3.1-1mamba
- automatic version update by autodist

* Fri Nov 26 2021 Silvan Calarco <silvan.calarco@mambasoft.it> 2.3.0-1mamba
- package created using the webbuild interface
